Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::Explanation Class Reference

Describes the score computation for document and query. More...

`#include <Explanation.h>`

Inheritance diagram for Lucene::Explanation:

## Public Member Functions

| Explanation (double value=0, const String &description=EmptyString)
virtual | ~Explanation ()
virtual String | getClassName ()
boost::shared_ptr< Explanation > | shared_from_this ()
virtual bool | isMatch ()
| Indicates whether or not this Explanation models a good match.
virtual double | getValue ()
| The value assigned to this explanation node.
virtual void | setValue (double value)
| Sets the value assigned to this explanation node.
virtual String | getDescription ()
| A description of this explanation node.
virtual void | setDescription (const String &description)
| Sets the description of this explanation node.
virtual Collection< ExplanationPtr > | getDetails ()
| The sub-nodes of this explanation node.
virtual void | addDetail (const ExplanationPtr &detail)
| Adds a sub-node to this explanation node.
virtual String | toString ()
| Render an explanation as text.
virtual String | toHtml ()
| Render an explanation as HTML.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

virtual String | getSummary ()
| A short one line summary which should contain all high level information about this Explanation, without the "Details".
virtual String | toString (int32_t depth)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

double | value
String | description
Collection< ExplanationPtr > | details
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Describes the score computation for document and query.

## Constructor & Destructor Documentation

## ◆ Explanation()

Lucene::Explanation::Explanation | ( | double | value = `0`,
|  | const String & | description = `EmptyString`
| ) |  |

## ◆ ~Explanation()

virtual Lucene::Explanation::~Explanation | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::Explanation::_getClassName | ( |  | ) |

inline static

## ◆ addDetail()

virtual void Lucene::Explanation::addDetail | ( | const ExplanationPtr & | detail | ) |

virtual

Adds a sub-node to this explanation node.

## ◆ getClassName()

virtual String Lucene::Explanation::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::ComplexExplanation.

## ◆ getDescription()

virtual String Lucene::Explanation::getDescription | ( |  | ) |

virtual

A description of this explanation node.

## ◆ getDetails()

virtual Collection< ExplanationPtr > Lucene::Explanation::getDetails | ( |  | ) |

virtual

The sub-nodes of this explanation node.

## ◆ getSummary()

virtual String Lucene::Explanation::getSummary | ( |  | ) |

protected virtual

A short one line summary which should contain all high level information about this Explanation, without the "Details".

Reimplemented in Lucene::ComplexExplanation.

## ◆ getValue()

virtual double Lucene::Explanation::getValue | ( |  | ) |

virtual

The value assigned to this explanation node.

## ◆ isMatch()

virtual bool Lucene::Explanation::isMatch | ( |  | ) |

virtual

Indicates whether or not this Explanation models a good match.

By default, an Explanation represents a "match" if the value is positive.

See also
  getValue

Reimplemented in Lucene::ComplexExplanation.

## ◆ setDescription()

virtual void Lucene::Explanation::setDescription | ( | const String & | description | ) |

virtual

Sets the description of this explanation node.

## ◆ setValue()

virtual void Lucene::Explanation::setValue | ( | double | value | ) |

virtual

Sets the value assigned to this explanation node.

## ◆ shared_from_this()

boost::shared_ptr< Explanation > Lucene::Explanation::shared_from_this | ( |  | ) |

inline

## ◆ toHtml()

virtual String Lucene::Explanation::toHtml | ( |  | ) |

virtual

Render an explanation as HTML.

## ◆ toString() [1/2]

virtual String Lucene::Explanation::toString | ( |  | ) |

virtual

Render an explanation as text.

Reimplemented from Lucene::LuceneObject.

## ◆ toString() [2/2]

virtual String Lucene::Explanation::toString | ( | int32_t | depth | ) |

protected virtual

## Field Documentation

## ◆ description

String Lucene::Explanation::description

protected

## ◆ details

Collection<ExplanationPtr> Lucene::Explanation::details

protected

## ◆ value

double Lucene::Explanation::value

protected

The documentation for this class was generated from the following file:

- Explanation.h

clucene.sourceforge.net